# VideoUploadResponseVideo

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | Pointer to **int32** |  | [optional] 
**Uuid** | Pointer to [**Uuid**](Uuid.md) |  | [optional] 
**ShortUUID** | Pointer to **string** | translation of a uuid v4 with a bigger alphabet to have a shorter uuid | [optional] 

## Methods

### NewVideoUploadResponseVideo

`func NewVideoUploadResponseVideo() *VideoUploadResponseVideo`

NewVideoUploadResponseVideo instantiates a new VideoUploadResponseVideo object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewVideoUploadResponseVideoWithDefaults

`func NewVideoUploadResponseVideoWithDefaults() *VideoUploadResponseVideo`

NewVideoUploadResponseVideoWithDefaults instantiates a new VideoUploadResponseVideo object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetId

`func (o *VideoUploadResponseVideo) GetId() int32`

GetId returns the Id field if non-nil, zero value otherwise.

### GetIdOk

`func (o *VideoUploadResponseVideo) GetIdOk() (*int32, bool)`

GetIdOk returns a tuple with the Id field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetId

`func (o *VideoUploadResponseVideo) SetId(v int32)`

SetId sets Id field to given value.

### HasId

`func (o *VideoUploadResponseVideo) HasId() bool`

HasId returns a boolean if a field has been set.

### GetUuid

`func (o *VideoUploadResponseVideo) GetUuid() Uuid`

GetUuid returns the Uuid field if non-nil, zero value otherwise.

### GetUuidOk

`func (o *VideoUploadResponseVideo) GetUuidOk() (*Uuid, bool)`

GetUuidOk returns a tuple with the Uuid field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetUuid

`func (o *VideoUploadResponseVideo) SetUuid(v Uuid)`

SetUuid sets Uuid field to given value.

### HasUuid

`func (o *VideoUploadResponseVideo) HasUuid() bool`

HasUuid returns a boolean if a field has been set.

### GetShortUUID

`func (o *VideoUploadResponseVideo) GetShortUUID() string`

GetShortUUID returns the ShortUUID field if non-nil, zero value otherwise.

### GetShortUUIDOk

`func (o *VideoUploadResponseVideo) GetShortUUIDOk() (*string, bool)`

GetShortUUIDOk returns a tuple with the ShortUUID field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetShortUUID

`func (o *VideoUploadResponseVideo) SetShortUUID(v string)`

SetShortUUID sets ShortUUID field to given value.

### HasShortUUID

`func (o *VideoUploadResponseVideo) HasShortUUID() bool`

HasShortUUID returns a boolean if a field has been set.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


